feat(tox): Cleanup docs 25/38925/2
authorpmikus <peter.mikus@protonmail.ch>
Mon, 29 May 2023 12:00:05 +0000 (12:00 +0000)
committerpmikus <peter.mikus@protonmail.ch>
Mon, 29 May 2023 12:00:42 +0000 (12:00 +0000)
Signed-off-by: pmikus <peter.mikus@protonmail.ch>
Change-Id: Ia13e920ef11d364893a51957778e60084f4ac0f9

resources/libraries/bash/entry/tox/doc_verify.sh [deleted file]
tests/vpp/perf/ip4/3n3l-10ge2p1x710-ethip4-ip4base-ndrpdr.robot [deleted file]
tox.ini

diff --git a/resources/libraries/bash/entry/tox/doc_verify.sh b/resources/libraries/bash/entry/tox/doc_verify.sh
deleted file mode 100644 (file)
index 7eec4b6..0000000
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright (c) 2022 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -xeuo pipefail
-
-# This file should be executed from tox, as the assumend working directory
-# is different from where this file is located.
-# This file does not have executable flag nor shebang,
-# to dissuade non-tox callers.
-
-# "set -eu" handles failures from the following two lines.
-BASH_CHECKS_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
-BASH_FUNCTION_DIR="$(readlink -e "${BASH_CHECKS_DIR}/../../function")"
-source "${BASH_FUNCTION_DIR}/common.sh" || {
-    echo "Source failed." >&2
-    exit 1
-}
-source "${BASH_FUNCTION_DIR}/docs.sh" || die "Source failed."
-common_dirs || die
-activate_virtualenv || die
-
-# Documentation generation.
-# Here we do store only stderr to file while stdout (inlcuding Xtrace) is
-# printed to console. This way we can track increased errors in future.
-# We do not need to do trap as the env will be closed after tox finished the
-# task.
-exec 3>&1 || die
-export BASH_XTRACEFD="3" || die
-log_file="$(pwd)/doc_verify.log" || die
-
-generate_docs 2> ${log_file} || die
-
-if [[ "${DOCS_EXIT_STATUS}" != 0 ]]; then
-    # Failed to generate report.
-    warn
-    warn "Doc verify checker: FAIL"
-    exit 1
-fi
-
-warn
-warn "Doc verify checker: PASS"
diff --git a/tests/vpp/perf/ip4/3n3l-10ge2p1x710-ethip4-ip4base-ndrpdr.robot b/tests/vpp/perf/ip4/3n3l-10ge2p1x710-ethip4-ip4base-ndrpdr.robot
deleted file mode 100644 (file)
index f34c903..0000000
+++ /dev/null
@@ -1,142 +0,0 @@
-# Copyright (c) 2021 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-*** Settings ***
-| Resource | resources/libraries/robot/shared/default.robot
-|
-| Force Tags | 3_NODE_SINGLE_LINK_TOPO | PERFTEST | HW_ENV | NDRPDR
-| ... | NIC_Intel-X710 | ETH | IP4FWD | BASE | IP4BASE | DRV_VFIO_PCI
-| ... | RXQ_SIZE_0 | TXQ_SIZE_0
-| ... | ethip4-ip4base
-|
-| Suite Setup | Setup suite topology interfaces | performance
-| Suite Teardown | Tear down suite | performance
-| Test Setup | Setup test | performance
-| Test Teardown | Tear down test | performance
-|
-| Test Template | Local Template
-|
-| Documentation | **RFC2544: Pkt throughput IPv4 routing test cases**
-| ... |
-| ... | - **[Top] Network Topologies:** TG-DUT1-DUT2-TG 3-node circular \
-| ... | topology with single links between nodes.
-| ... |
-| ... | - **[Enc] Packet Encapsulations:** Eth-IPv4 for IPv4 routing.
-| ... |
-| ... | - **[Cfg] DUT configuration:** DUT1 and DUT2 are configured with IPv4. \
-| ... | routing and two static IPv4 /24 route entries. DUT1 and DUT2 are \
-| ... | tested with ${nic_name}.
-| ... |
-| ... | - **[Ver] TG verification:** TG finds and reports throughput NDR (Non \
-| ... | Drop Rate) with zero packet loss tolerance and throughput PDR \
-| ... | (Partial Drop Rate) with non-zero packet loss tolerance (LT) \
-| ... | expressed in percentage of packets transmitted. NDR and PDR are \
-| ... | discovered for different Ethernet L2 frame sizes using MLRsearch \
-| ... | library.
-| ... | Test packets are generated by TG on links to DUTs. TG traffic profile \
-| ... | contains two L3 flow-groups (flow-group per direction, 253 flows per \
-| ... | flow-group) with all packets containing Ethernet header, IPv4 header \
-| ... | with IP protocol=61 and static payload. MAC addresses are matching MAC \
-| ... | addresses of the TG node interfaces.
-| ... |
-| ... | - **[Ref] Applicable standard specifications:** RFC2544.
-
-*** Variables ***
-| @{plugins_to_enable}= | rdma_plugin.so | perfmon_plugin.so
-| ${crypto_type}= | ${None}
-| ${nic_name}= | Mellanox-CX7VEAT
-| ${nic_driver}= | rdma-core
-| ${nic_rxq_size}= | 0
-| ${nic_txq_size}= | 0
-| ${nic_pfs}= | 6
-| ${nic_vfs}= | 0
-| ${osi_layer}= | L3
-| ${overhead}= | ${0}
-# Traffic profile
-| ${traffic_profile}= | trex-stl-3n-ethip4-ip4src253
-
-*** Keywords ***
-| Local Template
-| |
-| | [Documentation]
-| | ... | - **[Cfg]** DUT runs IPv4 routing config. \
-| | ... | Each DUT uses ${phy_cores} physical core(s) for worker threads.
-| | ... | - **[Ver]** Measure NDR and PDR values using MLRsearch algorithm.
-| |
-| | ... | *Arguments:*
-| | ... | - frame_size - Framesize in Bytes in integer or string (IMIX_v4_1).
-| | ... | Type: integer, string
-| | ... | - phy_cores - Number of physical cores. Type: integer
-| | ... | - rxq - Number of RX queues, default value: ${None}. Type: integer
-| |
-| | [Arguments] | ${frame_size} | ${phy_cores} | ${rxq}=${None}
-| |
-| | Set Test Variable | \${frame_size}
-| |
-| | Given Set Max Rate And Jumbo
-| | And Add worker threads to all DUTs | ${phy_cores} | ${rxq}
-| | And Pre-initialize layer driver | ${nic_driver}
-| | And Apply startup configuration on all VPP DUTs
-| | When Initialize layer driver | ${nic_driver}
-| | And Initialize layer interface
-| | And Initialize IPv4 forwarding in circular topology
-| | Then Find NDR and PDR intervals using optimized search
-
-*** Test Cases ***
-| 64B-1c-ethip4-ip4base-ndrpdr
-| | [Tags] | 64B | 1C | THIS
-| | frame_size=${64} | phy_cores=${1}
-
-| 64B-2c-ethip4-ip4base-ndrpdr
-| | [Tags] | 64B | 2C
-| | frame_size=${64} | phy_cores=${2}
-
-| 64B-4c-ethip4-ip4base-ndrpdr
-| | [Tags] | 64B | 4C
-| | frame_size=${64} | phy_cores=${4}
-
-| 1518B-1c-ethip4-ip4base-ndrpdr
-| | [Tags] | 1518B | 1C
-| | frame_size=${1518} | phy_cores=${1}
-
-| 1518B-2c-ethip4-ip4base-ndrpdr
-| | [Tags] | 1518B | 2C
-| | frame_size=${1518} | phy_cores=${2}
-
-| 1518B-4c-ethip4-ip4base-ndrpdr
-| | [Tags] | 1518B | 4C
-| | frame_size=${1518} | phy_cores=${4}
-
-| 9000B-1c-ethip4-ip4base-ndrpdr
-| | [Tags] | 9000B | 1C
-| | frame_size=${9000} | phy_cores=${1}
-
-| 9000B-2c-ethip4-ip4base-ndrpdr
-| | [Tags] | 9000B | 2C
-| | frame_size=${9000} | phy_cores=${2}
-
-| 9000B-4c-ethip4-ip4base-ndrpdr
-| | [Tags] | 9000B | 4C
-| | frame_size=${9000} | phy_cores=${4}
-
-| IMIX-1c-ethip4-ip4base-ndrpdr
-| | [Tags] | IMIX | 1C
-| | frame_size=IMIX_v4_1 | phy_cores=${1}
-
-| IMIX-2c-ethip4-ip4base-ndrpdr
-| | [Tags] | IMIX | 2C
-| | frame_size=IMIX_v4_1 | phy_cores=${2}
-
-| IMIX-4c-ethip4-ip4base-ndrpdr
-| | [Tags] | IMIX | 4C
-| | frame_size=IMIX_v4_1 | phy_cores=${4}
diff --git a/tox.ini b/tox.ini
index 566343b..d58a770 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -27,7 +27,7 @@
 [tox]
 # Fast and brief checkers to front, slow or verbose checkers to back.
 envlist = job_spec, copyright_year, gpl_license,
-    new_line_length, line_length, autogen, pylint, doc_verify
+    new_line_length, line_length, autogen, pylint
 
 # The following is needed as tox requires setup.py by default.
 skipsdist = true
@@ -55,12 +55,6 @@ commands = bash {[tox]script_dir}/autogen.sh
 whitelist_externals = /bin/bash
 commands = bash {[tox]script_dir}/copyright_year.sh
 
-[testenv:doc_verify]
-# Fix all documentation error before enabling voting.
-ignore_outcome = true
-whitelist_externals = /bin/bash
-commands = bash {[tox]script_dir}/doc_verify.sh
-
 [testenv:gpl_license]
 whitelist_externals = /bin/bash
 commands = bash {[tox]script_dir}/gpl_license.sh
@@ -92,14 +86,7 @@ commands = bash {[tox]script_dir}/pylint.sh
 
 # Keep testenvs sorted alphabetically, please.
 
-# TODO: Add a checker against unresolved merge conflicts.
-#       See: https://gerrit.fd.io/r/c/vpp/+/26956
 # TODO: Create voting "pylint violations should not increase" checker.
 # TODO: Create voting checker to reject suites with Force Tags of other suite.
 # TODO: Create voting checker against tags not in tag_documentation.rst file.
-# TODO: Create Robot suite Documentation checker (backslash if not next mark).
-# TODO: Create .yaml specific checker, so people can override long line check.
-# TODO: Create .rst specific checker, if there is one allowing
 #       to override line check.
-# TODO: You get the idea, replace line checker with something smarter
-#       wherever possible.